Comments

32 Comments

This update has been unpushed.

Thanks for catching the mistaken push, which also had a bad message.

This update has been unpushed.

karma

Thanks

BZ#1743588 Please build for epel8

See the untimely comment on the PR about my incorrect obsoletes.

BZ#1690046 Review Request: charliecloud - unprivileged container runtime

I've just realized that I missed something in review. The doc package should be noarch. I'll do a pull request, much as I dislike that system.

BZ#1690046 Review Request: charliecloud - unprivileged container runtime
karma

Thanks for the swift fix. Damn cmake.

BZ#1724170 "MPI" versions are actually serial
karma

Could you push this to build other things, please. Thanks.

This update has been unpushed.

This update has been unpushed.

User Icon loveshack commented & provided feedback on R-3.3.2-2.el6 5 years ago

I realized that libRmath still has dependencies on libssh2 etc.

BZ#1389715 libRmath has crazy dependencies

This is in RHEL6 x86_64, at least.

User Icon loveshack commented & provided feedback on R-3.3.2-2.el6 5 years ago

I think this change should use openblas for lapack as well as for blas. Openblas has some lapack optimization but is also (at least in el6) based on a more recent version of lapack consistent with the non-tuned blas routines it uses. I don't know whether that might cause any real problem, but it can only be an advantage to keep them consistent and more recent.

Also, if the old libraries are required, I'd have thought they should be usable just by setting (R_)LD_LIBRARY_PATH, i.e. by a user and not requiring a system link. However, that won't work because of #1389719.

BZ#1389724 please use OpenBLAS

This is an ABI change which would break a couple of things here.

karma

Looks OK on Knights Landing, or at least more accurate than the previous version. However: the referenced bug doesn't exist, and it's in RHEL7, so presumably shouldn't be in EPEL.

BZ#1344718 R-core has references to build directory